System.ComponentModel.DataAnnotations 4.0.0.0 System.ComponentModel.DataAnnotations.ValidationAttribute System.AttributeUsage(System.AttributeTargets.Property | System.AttributeTargets.Field | System.AttributeTargets.Parameter | System.AttributeTargets.All, AllowMultiple=false) To be added.

Specifies the maximum length of array or string data allowed in a property.

- Constructor
  4.0.0.0

  The maximum allowable length supported by the database will be used.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class based on the parameter.

  The maximum allowable length of array or string data.
- Method
  4.0.0.0
  System.String `` To be added.

  Applies formatting to a specified error message.

  A localized string to describe the maximum acceptable length.

  The name to include in the formatted string.
- Method
  4.0.0.0
  System.Boolean ``

  This method returns true if the parameter is null.

  Determines whether a specified object is valid.

  true if the value is null, or if the value is less than or equal to the specified maximum length; otherwise, false.

  The object to validate.
- Property
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets the maximum allowable length of the array or string data.